ru.bitel.bgbilling.modules.tinkoff.server.bean

## Enum Status

- java.lang.Object
- - java.lang.Enum<Status>
  - - ru.bitel.bgbilling.modules.tinkoff.server.bean.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Status>

      public enum Status
      extends java.lang.Enum<Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_3DS_CHECKED`
    `_3DS_CHECKING`
    `AUTH_FAIL`
    `AUTHORIZED`
    `AUTHORIZING`
    `CANCELED`
    `CONFIRMED`
    `CONFIRMING`
    `DEADLINE_EXPIRED`
    `FORM_SHOWED`
    `NEW`
    `PARTIAL_REFUNDED`
    `PREAUTHORIZING`
    `REFUNDED`
    `REFUNDING`
    `REJECTED`
    `REVERSED`
    `REVERSING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isFinalStatus()`
    `static Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final Status NEW

    - #### CANCELED

          public static final Status CANCELED

    - #### PREAUTHORIZING

          public static final Status PREAUTHORIZING

    - #### FORM_SHOWED

          public static final Status FORM_SHOWED

    - #### DEADLINE_EXPIRED

          public static final Status DEADLINE_EXPIRED

    - #### AUTHORIZING

          public static final Status AUTHORIZING

    - #### _3DS_CHECKING

          public static final Status _3DS_CHECKING

    - #### _3DS_CHECKED

          public static final Status _3DS_CHECKED

    - #### AUTH_FAIL

          public static final Status AUTH_FAIL

    - #### AUTHORIZED

          public static final Status AUTHORIZED

    - #### REVERSING

          public static final Status REVERSING

    - #### REVERSED

          public static final Status REVERSED

    - #### CONFIRMING

          public static final Status CONFIRMING

    - #### CONFIRMED

          public static final Status CONFIRMED

    - #### REFUNDING

          public static final Status REFUNDING

    - #### PARTIAL_REFUNDED

          public static final Status PARTIAL_REFUNDED

    - #### REFUNDED

          public static final Status REFUNDED

    - #### REJECTED

          public static final Status REJECTED

  - ### Method Detail

    - #### values

          public static Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Status c : Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

    - #### isFinalStatus

          public boolean isFinalStatus()

    - #### getTitle

          public java.lang.String getTitle()